from websocket_server import WebsocketServer

clients = []

def new_client(client, server):
    print(f"New client connected: {client}")
    clients.append(client)

def client_left(client, server):
    print(f"Client disconnected: {client}")
    clients.remove(client)

def message_received(client, server, message):
    print(f"Received message from client: {message}")
    # Broadcast the latest message to all connected clients
    for c in clients:
        server.send_message(c, message)

# Pass the host and port as tuple
server = WebsocketServer(port=9955, host='127.0.0.1')
server.set_fn_new_client(new_client)
server.set_fn_client_left(client_left)
server.set_fn_message_received(message_received)
print("WebSocket server is running on ws://localhost:9955")
try:
    server.run_forever()
except Exception as e:
    print(f"Error running server: {e}")
